Skip to main content
Employee / Packages

Get a list of configured financial institutions

This method requires the SalaryPackageFinancialInstitutions:Get permission to be associated with your role.

GET
/sp/financial/institutions
Authorizationstringheaderrequired

For accessing the API a valid token must be passed in all the queries in the 'Authorization' header.

A valid token is generated by the API and returned by the /authenticate method by supplying a valid username and password.

The following syntax must be used in the 'Authorization' header :

Bearer aaaaaa/bbbbbb.ccccccc.dddddd
financial_institution_numberstringquery

Optional Financial Institution Number

This field supports the wildcard % operator.

Maximum string length: 3
Pattern: ^[0-9]+$
pageintegerquerydefault:1

Optional page number

Required range: 1 <= x <= 2147483647
page_sizeintegerquerydefault:25

Optional page size

Required range: -1 <= x <= 2147483647

Response

application/vnd.catch-e-api.v1+json

Success

_embeddedobject
pageinteger
Example: 1
page_countinteger
Example: 1
page_sizeinteger
Example: 25
total_itemsinteger
Example: 1